Bug 13299 - Add home library column to the holds ratios report
Summary: Add home library column to the holds ratios report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13298
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-19 14:17 UTC by Kyle M Hall
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13299 - Add home library column to the holds ratios report (5.19 KB, patch)
2014-11-19 14:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13299 - Add home library column to the holds ratios report (5.19 KB, patch)
2014-11-19 14:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13299 - Add home library column to the holds ratios report (5.30 KB, patch)
2014-12-08 16:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-11-19 14:17:49 UTC
It seems odd that only the holding libraries are listed on the holds ratios report, we should add the home libraries as well.
Comment 1 Kyle M Hall 2014-11-19 14:19:00 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2014-11-19 14:21:04 UTC Comment hidden (obsolete)
Comment 3 HB-NEKLS 2014-11-26 15:08:22 UTC
It seems odd that only the holding libraries are listed on the holds
ratios report, we should add the home libraries as well.

Test Plan:
1) Apply this patch
2) Run the hold ratios report
3) Note the new home libraries column

Works as expected. Thanks Kyle!
Comment 4 Jonathan Druart 2014-12-08 16:20:04 UTC
Created attachment 34182 [details] [review]
Bug 13299 - Add home library column to the holds ratios report

It seems odd that only the holding libraries are listed on the holds
ratios report, we should add the home libraries as well.

Test Plan:
1) Apply this patch
2) Run the hold ratios report
3) Note the new home libraries column

Signed-off-by: Heather Braum <hbraum@nekls.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Tomás Cohen Arazi 2015-02-09 18:58:16 UTC
Patch pushed to master.

Thanks Kyle!